// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlElasticBin")]
    pub struct ElasticBin(Object<ffi::DzlElasticBin, ffi::DzlElasticBinClass>) @extends gtk::Bin, gtk::Container, gtk::Widget, @implements gtk::Buildable;

    match fn {
        type_ => || ffi::dzl_elastic_bin_get_type(),
    }
}

impl ElasticBin {
    pub const NONE: Option<&'static ElasticBin> = None;

    #[doc(alias = "dzl_elastic_bin_new")]
    pub fn new() -> ElasticBin {
        assert_initialized_main_thread!();
        unsafe { gtk::Widget::from_glib_none(ffi::dzl_elastic_bin_new()).unsafe_cast() }
    }
}

impl Default for ElasticBin {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for ElasticBin {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("ElasticBin")
    }
}
